POST/autopay/cancel
Cancel an AutoPay
Its purpose is to cancel/disable an autopay so that previously scheduled automatic/recurring charges are not executed.
Once the autopay is canceled, it cannot be reactivated. If you need an autopay again, you must create a new one.
Request
- Name
auth- Type
- Authentication
- is Required
- REQUIRED
- Description
Structure containing the site authentication information generated according to the WSSE UsernameToken Profile 1.1. See more at Authentication.
- Name
id- Type
- string
- is Required
- REQUIRED
- Description
Unique identifier of the confirmed AutoPay registered in the notification record.
Example:2972c13d-6315-4da3-80d7-64c24eb232adFormat:uuidMax length:36Min length:36
- Name
locale- Type
- string
- is optional
- Description
Response language.
Example:en_EN
Request
POST
/autopay/cancelcurl -X "POST" {{baseURl}}/autopay/cancel \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login":"aabbccdd1234567890aabbccdd123456",
"tranKey":"ABC123example456trankey+789abc012def3456ABC=",
"nonce":"enQ4dXh3YWhkMWM=",
"seed":"2023-06-21T09:56:06-05:00"
},
"id": "ac1cc9ce-83fe-42d7-9708-f6dd5461c89e",
"locale": "es_ES"
}'
Response
Successful request
- Name
status- Type
- Status
- is optional
- Description
Structure used to define response statuses.
- Name
id- Type
- string
- is optional
- Description
Unique identifier of the confirmed AutoPay registered in the notification record.
Example:2972c13d-6315-4da3-80d7-64c24eb232adFormat:uuidMax length:36Min length:36
Response
POST
/autopay/cancel{
"status": {
"status": "OK",
"reason": "00",
"message": "The request has been processed successfully",
"date":"2023-06-21T09:56:06-05:00"
},
"id": "ac1cc9ce-83fe-42d7-9708-f6dd5461c89e",
}